using MessagePack;
#if GameClient
using GameFramework;
#endif

namespace GameMessage
{
    /// <summary>
    /// 信息请求
    /// </summary>
    [Message(MessageCode.ClubLeagueResetFinScoreRequest)]
    [MessagePackObject]
    public class ClubLeagueResetFinScoreRequest : MessageData
    {
        [Key(0)]public int ClubId { get; set; }
        [Key(1)]public int ResetClubId { get; set; }
        [Key(2)]public int LiveTaskScore { get; set; }

#if GameClient
        public static ClubLeagueResetFinScoreRequest Create()
        {
            return ReferencePool.Acquire<ClubLeagueResetFinScoreRequest>();
        }

        public override void Clear()
        {
            ClubId = 0;
            ResetClubId = 0;
            LiveTaskScore = 0;
        }
#endif
    }

    /// <summary>
    /// 信息响应
    /// </summary>
    [Message(MessageCode.ClubLeagueResetFinScoreResponse)]
    [MessagePackObject]
    public class ClubLeagueResetFinScoreResponse : MessageData
    {
        [Key(0)]public int ClubId { get; set; }
        [Key(1)]public int ErrCode { get; set; }
    }
}